Page MenuHomePhabricator

Split Cache.php to different services
Closed, ResolvedPublic

Description

This big monolith needs to be split

Details

Related Gerrit Patches:
mediawiki/extensions/ORES : masterFully deprecate Cache.php
mediawiki/extensions/ORES : masterIntroduce ScoreStorage and its Sql implementetion
mediawiki/extensions/ORES : masterMove methods of Cache to PurgeScoreCache
mediawiki/extensions/ORES : masterUse ScoreParser instead of Cache::processRevision in ApiHooksHandler
mediawiki/extensions/ORES : masterJoin decomposition of ores_model table queries
mediawiki/extensions/ORES : masterIntroduce ScoreParser class
mediawiki/extensions/ORES : masterWire ModelLookup using ServiceWiringFile, remove methods from Cache.php
mediawiki/extensions/ORES : masterIntroduce ModelLookup interface and its SQL implementation

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 25 2017, 1:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 393620 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Introduce ModelLookup interface and its SQL implementation

https://gerrit.wikimedia.org/r/393620

Change 393620 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Introduce ModelLookup interface and its SQL implementation

https://gerrit.wikimedia.org/r/393620

Change 394316 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Wire ModelLookup service using OresServices and remove methods from Cache.php

https://gerrit.wikimedia.org/r/394316

Change 394316 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Wire ModelLookup using ServiceWiringFile, remove methods from Cache.php

https://gerrit.wikimedia.org/r/394316

Change 395811 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Join decomposition of ores_model table

https://gerrit.wikimedia.org/r/395811

Change 397548 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Introduce ScoreParser class

https://gerrit.wikimedia.org/r/397548

Change 395811 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Join decomposition of ores_model table queries

https://gerrit.wikimedia.org/r/395811

Change 397548 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Introduce ScoreParser class

https://gerrit.wikimedia.org/r/397548

Change 397597 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Use ScoreParser instead of Cache::processRevision in ApiHooksHandler

https://gerrit.wikimedia.org/r/397597

Change 398651 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Introduce ScoreStorage and its Sql implementetion

https://gerrit.wikimedia.org/r/398651

Ladsgroup triaged this task as High priority.Dec 18 2017, 10:25 PM

Change 397597 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Use ScoreParser instead of Cache::processRevision in ApiHooksHandler

https://gerrit.wikimedia.org/r/397597

Change 399994 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Move methods of Cache to PurgeScoreCache

https://gerrit.wikimedia.org/r/399994

Change 399994 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Move methods of Cache to PurgeScoreCache

https://gerrit.wikimedia.org/r/399994

Change 398651 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Introduce ScoreStorage and its Sql implementetion

https://gerrit.wikimedia.org/r/398651

Change 401608 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Fully deprecate Cache.php

https://gerrit.wikimedia.org/r/401608

Change 401608 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Fully deprecate Cache.php

https://gerrit.wikimedia.org/r/401608

Halfak closed this task as Resolved.Jan 30 2018, 8:31 PM